edu.isi.pegasus.planner.invocation

## Class StatInfo

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.StatInfo

All Implemented Interfaces:
  java.io.Serializable

    public class StatInfo
    extends Invocation

This class is the container for the results of a call to either stat() or fstat(). Not all stat information is kept.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  Serialized Form

### Field Summary

Fields
`private java.util.Date` `m_atime` Contains the last access time timestamp.
`private long` `m_blksize` Stores the blocksize of the file.
`private long` `m_blocks` Stores the number of blocks of the file.
`private java.util.Date` `m_ctime` Contains the creation time timestamp.
`private int` `m_gid` group id of the owner of the file.
`private java.lang.String` `m_group` symbolical group name of the effective user.
`private long` `m_inode` We store the inode number, which let's us reference a file uniquely per filesystem.
`private int` `m_mode` Is the number for the file mode.
`private java.util.Date` `m_mtime` Contains the last modification time timestamp;
`private long` `m_nlink` Stores the number of hard links to the file.
`private long` `m_size` Denotes the size of the file.
`private int` `m_uid` user id of the owner of the file.
`private java.lang.String` `m_user` symbolical user name of the effective user.

### Constructor Summary

Constructors
Constructor and Description
`StatInfo()` Default c'tor: Construct a hollow shell and allow further information to be added later.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Date` `getAccessTime()` Accessor
`long` `getBlocks()` Accessor
`long` `getBlockSize()` Accessor
`java.util.Date` `getCreationTime()` Accessor
`int` `getGID()` Accessor
`java.lang.String` `getGroup()` Accessor
`long` `getINode()` Accessor
`long` `getLinkCount()` Accessor
`int` `getMode()` Accessor
`java.util.Date` `getModificationTime()` Accessor
`long` `getSize()` Accessor
`int` `getUID()` Accessor
`java.lang.String` `getUser()` Accessor
`void` `setAccessTime(java.util.Date atime)` Accessor.
`void` `setBlocks(long blocks)` Accessor.
`void` `setBlockSize(long blksize)` Accessor.
`void` `setCreationTime(java.util.Date ctime)` Accessor.
`void` `setGID(int gid)` Accessor.
`void` `setGroup(java.lang.String group)` Accessor.
`void` `setINode(long inode)` Accessor.
`void` `setLinkCount(long nlink)` Accessor.
`void` `setMode(int mode)` Accessor.
`void` `setModificationTime(java.util.Date mtime)` Accessor.
`void` `setSize(long size)` Accessor.
`void` `setUID(int uid)` Accessor.
`void` `setUser(java.lang.String user)` Accessor.
`void` `toString(java.io.Writer stream)` Converts the active state into something meant for human consumption.
`void` `toXML(java.io.Writer stream, java.lang.String indent, java.lang.String namespace)` Dump the state of the current element as XML output.

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_mode

    private int m_mode

Is the number for the file mode. This is originally an octal string.

#### m_size

    private long m_size

Denotes the size of the file. Files can grow rather large.

#### m_inode

    private long m_inode

We store the inode number, which let's us reference a file uniquely per filesystem.

#### m_nlink

    private long m_nlink

Stores the number of hard links to the file.

#### m_blksize

    private long m_blksize

Stores the blocksize of the file.

#### m_blocks

    private long m_blocks

Stores the number of blocks of the file.

#### m_atime

    private java.util.Date m_atime

Contains the last access time timestamp.

#### m_ctime

    private java.util.Date m_ctime

Contains the creation time timestamp.

#### m_mtime

    private java.util.Date m_mtime

Contains the last modification time timestamp;

#### m_uid

    private int m_uid

user id of the owner of the file.

#### m_user

    private java.lang.String m_user

symbolical user name of the effective user.

#### m_gid

    private int m_gid

group id of the owner of the file.

#### m_group

    private java.lang.String m_group

symbolical group name of the effective user.

### Constructor Detail

#### StatInfo

    public StatInfo()

Default c'tor: Construct a hollow shell and allow further information to be added later.

### Method Detail

#### getMode

    public int getMode()

Accessor

See Also:
  `setMode(int)`

#### setMode

    public void setMode(int mode)

Accessor.

Parameters:
  `mode` -
See Also:
  `getMode()`

#### getSize

    public long getSize()

Accessor

See Also:
  `setSize(long)`

#### setSize

    public void setSize(long size)

Accessor.

Parameters:
  `size` -
See Also:
  `getSize()`

#### getINode

    public long getINode()

Accessor

See Also:
  `setINode(long)`

#### setINode

    public void setINode(long inode)

Accessor.

Parameters:
  `inode` -
See Also:
  `getINode()`

#### getLinkCount

    public long getLinkCount()

Accessor

See Also:
  `setLinkCount(long)`

#### setLinkCount

    public void setLinkCount(long nlink)

Accessor.

Parameters:
  `nlink` -
See Also:
  `getLinkCount()`

#### getBlockSize

    public long getBlockSize()

Accessor

See Also:
  `setBlockSize(long)`

#### setBlockSize

    public void setBlockSize(long blksize)

Accessor.

Parameters:
  `blksize` -
See Also:
  `getBlockSize()`

#### getBlocks

    public long getBlocks()

Accessor

See Also:
  `setBlocks(long)`

#### setBlocks

    public void setBlocks(long blocks)

Accessor.

Parameters:
  `blocks` -
See Also:
  `getBlocks()`

#### getAccessTime

    public java.util.Date getAccessTime()

Accessor

See Also:
  `setAccessTime(Date)`

#### setAccessTime

    public void setAccessTime(java.util.Date atime)

Accessor.

Parameters:
  `atime` -
See Also:
  `getAccessTime()`

#### getCreationTime

    public java.util.Date getCreationTime()

Accessor

See Also:
  `setCreationTime(Date)`

#### setCreationTime

    public void setCreationTime(java.util.Date ctime)

Accessor.

Parameters:
  `ctime` -
See Also:
  `getCreationTime()`

#### getModificationTime

    public java.util.Date getModificationTime()

Accessor

See Also:
  `setModificationTime(Date)`

#### setModificationTime

    public void setModificationTime(java.util.Date mtime)

Accessor.

Parameters:
  `mtime` -
See Also:
  `getModificationTime()`

#### getUID

    public int getUID()

Accessor

See Also:
  `setUID(int)`

#### setUID

    public void setUID(int uid)

Accessor.

Parameters:
  `uid` -
See Also:
  `getUID()`

#### getUser

    public java.lang.String getUser()

Accessor

See Also:
  `setUser(String)`

#### setUser

    public void setUser(java.lang.String user)

Accessor.

Parameters:
  `user` -
See Also:
  `getUser()`

#### getGID

    public int getGID()

Accessor

See Also:
  `setGID(int)`

#### setGID

    public void setGID(int gid)

Accessor.

Parameters:
  `gid` -
See Also:
  `getGID()`

#### getGroup

    public java.lang.String getGroup()

Accessor

See Also:
  `setGroup(String)`

#### setGroup

    public void setGroup(java.lang.String group)

Accessor.

Parameters:
  `group` -
See Also:
  `getGroup()`

#### toString

    public void toString(java.io.Writer stream)
                  throws java.io.IOException

Converts the active state into something meant for human consumption. The method will be called when recursively traversing the instance tree.

Specified by:
  `toString` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### toXML

    public void toXML(java.io.Writer stream,
                      java.lang.String indent,
                      java.lang.String namespace)
               throws java.io.IOException

Dump the state of the current element as XML output. This function traverses all sibling classes as necessary, and converts the data into pretty-printed XML output. The stream interface should be able to handle large output efficiently.

Specified by:
  `toXML` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
  `indent` - is a `String` of spaces used for pretty printing. The initial amount of spaces should be an empty string. The parameter is used internally for the recursive traversal. If a `null` value is specified, no indentation nor linefeeds will be generated.
  `namespace` - is the XML schema namespace prefix. If neither empty nor null, each element will be prefixed with this prefix, and the root element will map the XML namespace.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.
See Also:
  `BufferedWriter`